#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file '/root/MyProjects/ktag/src/confsavepatdlg.ui'
**
** Created: mar mai 25 12:57:08 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.2.3   edited May 19 14:22 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "confsavepatdlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qheader.h>
#include <klistview.h>
#include <kpushbutton.h>
#include <kactivelabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "/root/MyProjects/ktag/src/confsavepatdlg.ui.h"

/*
 *  Constructs a confSavePatDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
confSavePatDlg::confSavePatDlg( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "confSavePatDlg" );
    confSavePatDlgLayout = new QGridLayout( this, 1, 1, 0, 0, "confSavePatDlgLayout"); 

    kcfg_savePatterns = new KListView( this, "kcfg_savePatterns" );
    kcfg_savePatterns->addColumn( tr2i18n( "Patterns" ) );
    kcfg_savePatterns->setDefaultRenameAction( KListView::Reject );
    kcfg_savePatterns->setFullWidth( TRUE );
    kcfg_savePatterns->setItemsRenameable( TRUE );

    confSavePatDlgLayout->addWidget( kcfg_savePatterns, 0, 0 );

    layout3 = new QVBoxLayout( 0, 0, 6, "layout3"); 

    layout2 = new QVBoxLayout( 0, 8, 6, "layout2"); 

    addButton = new KPushButton( this, "addButton" );
    layout2->addWidget( addButton );

    remButton = new KPushButton( this, "remButton" );
    remButton->setEnabled( FALSE );
    layout2->addWidget( remButton );
    layout3->addLayout( layout2 );

    kActiveLabel1 = new KActiveLabel( this, "kActiveLabel1" );
    layout3->addWidget( kActiveLabel1 );

    confSavePatDlgLayout->addLayout( layout3, 0, 1 );
    languageChange();
    resize( QSize(595, 494).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( addButton, SIGNAL( clicked() ), this, SLOT( addPattern() ) );
    connect( remButton, SIGNAL( clicked() ), this, SLOT( removePattern() ) );
    connect( kcfg_savePatterns, SIGNAL( clicked(QListViewItem*) ), this, SLOT( enableRemove(QListViewItem*) ) );
    connect( kcfg_savePatterns, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( enableRemove(QListViewItem*) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
confSavePatDlg::~confSavePatDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void confSavePatDlg::languageChange()
{
    setCaption( tr2i18n( "Configure save patterns" ) );
    kcfg_savePatterns->header()->setLabel( 0, tr2i18n( "Patterns" ) );
    addButton->setText( tr2i18n( "Add pattern" ) );
    remButton->setText( tr2i18n( "Remove this pattern" ) );
    kActiveLabel1->setText( tr2i18n( "Manage naming patterns for file rename or save as.<br>\n"
"e.g:<br>\n"
"%artist-%title.*<br>\n"
"%track - %title.*<br>\n"
"etc...<br>\n"
"You can use same vars as cover downloading and also:<br>\n"
"<b>%track</b> = track number<br>\n"
"<b>%Track</b> = track number with zero leading<br>\n"
"<b>%title</b> = track title<br>\n"
"<b>%Title</b> = track title with first letters capitalized.<br>\n"
"Use %_ to replace space by underscore e.g: %_artist_-_%_title.*\n"
"" ) );
}

#include "confsavepatdlg.moc"
